%global hghash 8bd3e1986200
%global hgdate 20110331
Name:           hotot
Version:        0.9.5
Release:        3.%{?hgdate}hg%{?dist}
Summary:        Lightweight & open source micro blogging client
Group:          Applications/Internet
License:        LGPLv3+ and LGPLv3 and BSD and GPLv2
URL:            http://code.google.com/p/hotot

# hg clone https://hotot.googlecode.com/hg/ hotot 
# hg archive -t tbz2 -r %%{hghash} %%{name}-%%{version}-%%{hghash}.tar.bz2
Source0:        hotot-%{version}-%{hghash}.tar.bz2
BuildArch: noarch
BuildRequires:  pygtk2-devel WebKit-gtk-devel >= 1.0.0-0.8 intltool 
BuildRequires:  libxslt-devel python-distutils-extra gettext desktop-file-utils
Requires:       pygtk2 pywebkitgtk >= 1.1.8 notify-python python-keybinder

%description
Hotot, is a lightweight & open source micro blogging client, coding using 
Python language and designed for Linux.  It depends less but supports more. 

Features:
   * OAuth and Basic Auth is supported.
   * Socks Proxy and Http Proxy.
   * Support API Proxy.
   * Support Twitter Search and content filter.
   * Keyboard shortcuts.
   * Extension System.
   * Native notify system. it supports Gnome & KDE SC. 

%prep
%setup -q -n hotot-%{version}-%{hghash}
sed -i -e '/^#!\//, 1d'  hotot/*.py
%build
python setup.py build_i18n -m
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install --prefix=%{buildroot}/usr
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
chmod 644 %{buildroot}/%{_datadir}/%{name}/ext/org.hotot.imageupload/entry.js
chmod 644 %{buildroot}/%{_datadir}/%{name}/ext/ext.js
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{python_sitelib}/%{name}
%{_bindir}/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Apr 01 2011 Rahul Sundaram  <sundaram@fedoraproject.org> - 0.9.5-3.20110331hg
- Fix permissions for a couple of javascript files

* Thu Mar 31 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.5-2.20110331hg
- Adding missing build requires
- Include additional licensing info
- Make package noarch

* Thu Mar 31 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.5-1.20110331hg
- Initial release
- Based on the spec from upstream

